PUT
/
api
/
v1
/
platform
/
tenants
/
{tenant_id}
/
objects
/
resources
/
{resource_id}
Update object storage resource policy
curl --request PUT \
  --url https://api.example.com/api/v1/platform/tenants/{tenant_id}/objects/resources/{resource_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Id: <x-api-id>' \
  --header 'X-Api-Nonce: <x-api-nonce>' \
  --header 'X-Api-Signature: <api-key>' \
  --header 'X-Api-Timestamp: <x-api-timestamp>' \
  --data '
{
  "bucket": "utmos-objects",
  "credential_id": "object_credential_001",
  "key_prefix": "tenant_001/uploads/",
  "allowed_methods": [
    "PUT",
    "GET"
  ],
  "max_presign_ttl_seconds": 3600,
  "status": "ACTIVE"
}
'
{
  "resource_id": "object_resource_001",
  "tenant_id": "tenant_001",
  "bucket": "utmos-objects",
  "credential_id": "object_credential_001",
  "key_prefix": "tenant_001/uploads/",
  "allowed_methods": [
    "PUT",
    "GET"
  ],
  "max_presign_ttl_seconds": 3600,
  "status": "ACTIVE",
  "request_id": "req-001"
}

Authorizations

X-Api-Signature
string
header
required

UTMOS HMAC request signature with X-Api-Id, X-Api-Timestamp and X-Api-Nonce.

Headers

X-Api-Id
string
required

Platform or tenant administrator credential

X-Api-Timestamp
string
required

Unix seconds

X-Api-Nonce
string
required

Replay-protection nonce

X-Api-Signature
string
required

HMAC signature

X-Request-Id
string

Caller correlation ID; generated when omitted

Path Parameters

tenant_id
string
required

Tenant identifier

resource_id
string
required

Resource identifier

Body

application/json
bucket
string
required
key_prefix
string
required
allowed_methods
enum<string>[]
required
Available options:
GET,
PUT
max_presign_ttl_seconds
integer
required
Required range: 1 <= x <= 3600
credential_id
string
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED

Response

OK

resource_id
string
tenant_id
string
bucket
string
credential_id
string
key_prefix
string
allowed_methods
string[]
max_presign_ttl_seconds
integer
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED
request_id
string